Skip to content

Searches for merchandise using predefined parameters

Request

Searches for merchandise using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The merchandise that you would like to be saved.

category_idArray of strings(Category)
idArray of strings(ID)
member_priceArray of numbers, (float), = 2 items(Member Price)
priceArray of numbers, (float), = 2 items(Price)
track_inventoryboolean(Track Inventory)
weightArray of numbers, (float), = 2 items(Weight)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/merchandise/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "category_id": [
      "string"
    ],
    "id": [
      "string"
    ],
    "member_price": [
      0.1,
      0.1
    ],
    "price": [
      0.1,
      0.1
    ],
    "track_inventory": true,
    "weight": [
      0.1,
      0.1
    ]
  }'

Responses

The merchandise search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(MerchandiseSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }